Get Customer Insights drawer summary.

post

/sia/v1/impact/event/{eventId}/customerInsights/summary

Returns chart-ready summary data for Customer Insights, including monetary value by customer category and services by specification. The topLocations field contains all coordinate-bearing impacted locations for the event and is not restricted to the current customer page or active Customer Insights filters.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : filters
Type: array
Applied smart search filters for customer insights.
Show Source
Nested Schema : FilterChip
Type: object
Show Source
  • Name of the smart search filter.
  • value
    Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Nested Schema : value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Match One Schema
Show Source
Nested Schema : value-oneOf[1]
Type: array
Show Source
Nested Schema : value-oneOf[3]
Type: array
Show Source
Nested Schema : value-oneOf[5]
Type: array
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Customer insights summary retrieved successfully.
Body ()
Root Schema : CustomerInsightsSummaryResponse
Type: object
Summary data for Customer Insights drawer charts.
Show Source
Nested Schema : customersByTier
Type: array
Customer count grouped by tier for all customers matching the active search and filters.
Show Source
Nested Schema : monetaryValueByCustomerCategory
Type: array
Bill amount grouped by customer category for all customers matching the active search and filters.
Show Source
Nested Schema : resourcesByEntityTypeAndSpecification
Type: array
Impacted services grouped by entity type and specification for customers matching the active search and filters.
Show Source
Nested Schema : HeatMapResponse
Type: object
Show Source
Nested Schema : CustomerInsightSummaryItem
Type: object
One Customer Insights summary chart item.
Show Source
  • Number of matching customers or impacted resources represented by this bucket.
  • Display label for the chart bucket.
  • value
    Numeric chart value. Its meaning depends on the summary: bill amount, customer count, or configured priority value.
Nested Schema : value
Numeric chart value. Its meaning depends on the summary: bill amount, customer count, or configured priority value.
Match One Schema
Show Source
Nested Schema : items
Type: array
Heat-map points.
Show Source
Nested Schema : HeatMapPoint
Type: object
Show Source

400 Response

The request isn't valid
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

401 Response

The request is unauthorized
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

403 Response

The request is forbidden
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

500 Response

An Internal Server Error has occurred
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source
Back to Top